Bug 20478 - [tulip?] installer only adds eth0 - eth6 to /etc/conf.modules
[tulip?] installer only adds eth0 - eth6 to /etc/conf.modules
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeff Garzik
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-07 13:13 EST by Pekka Savola
Modified: 2013-07-02 22:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-11-07 13:13:10 EST
eth0:  eepro100
eth1-4: quad ethernet, tulip driver
eth5-8: quad ethernet, tulip driver

The installer only adds eth0-eth6 to /etc/conf.modules; eth7-eth8 must be added by hand.
(using kickstart + CD)

Unfortunately, I can't test this with RHL7 to see if it still happens, but smells like a
feature to me.

Perhaps interface numbers up to 15 or 16 or so should be supported? :-)
Comment 1 Daniel Roesen 2000-11-07 13:49:49 EST
Request seconded, we had that with two Quad-Tulips, too (IIRC), but I forgot to 
file that in Bugzilla. :-]
Comment 2 Michael Fulbright 2000-11-07 15:03:34 EST
Passed to QA to reproduce.
Comment 3 Brock Organ 2000-11-14 12:01:41 EST
verified this is still a problem w/Red Hat Linux 7 (in my test config, I only
got 5 of 7 interfaces configured by anaconda) ...
Comment 4 Erik Troan 2000-11-20 15:21:37 EST
This works fine for me, both GUI and text. Brock, try again and show me if you
make it fail.
Comment 5 Pekka Savola 2000-12-11 11:31:24 EST
Problem nr. 2:

Having >16 ethernet interfaces makes the installer (at least kickstart) freeze without
error messages.  I only have second-hand report on this.  

I believe this is caused by the fact kernel only by default allows 16 ethXY interfaces and the
detection goes like:
---
eth15: Digital DS21143 Tulip rev 65 at 0xd00b3400, 00:80:C8:CA:B9:17, IRQ 7.
eth15:  EEPROM default media type Autosense.
eth15:  Index #0 - Media MII (#11) described by a 21142 MII PHY (3) block.
eth15:  MII transceiver #1 config 3100 status 7849 advertising 01e1.
: Digital DS21143 Tulip rev 65 at 0xd00b5000, 00:80:C8:CA:B9:18, IRQ 5.
:  EEPROM default media type Autosense.
:  Index #0 - Media MII (#11) described by a 21142 MII PHY (3) block.
:  MII transceiver #1 config 3100 status 7849 advertising 01e1.
---

Note that "eth16" is not given a name.  The lack of it might confuse the installer.
Comment 6 Brock Organ 2001-02-14 17:41:54 EST
the install fails with our only > eth5 combination (two cards x 4 tulip nics
each for 8 nics) ... an install only recognizes eth0-eth2 (instead of eth0-eth7)
... showed this to ewt, it appears (in our internal case) to be a tulip driver
issue ... (at least ewt says so!) ... reassigning to the kernel component ...
Comment 7 Michael K. Johnson 2001-02-14 19:28:34 EST
tulip driver thinks it deals with up to 8 interfaces
Sounds like it isn't working that way for you.  I'd
like to know what ewt thinks the bug is so that we
can look into it better.
Comment 8 Pekka Savola 2001-02-14 19:33:50 EST
The driver (or rather, the ethernet sublayer) should be able to handle up to 16 
interfaces.  8 is the limit for passing options=, full_duplex= etc. flags to one kind of 
driver in /etc/modules.conf.
Comment 9 Jeff Garzik 2003-01-31 11:20:10 EST
The tulip driver handles any number of interfaces (even more than 16) just fine.

Can we confirm this is still a problem in Red hat 8.0?
Comment 10 Pekka Savola 2003-01-31 12:14:22 EST
I haven't had access to that many interfaces lately, so cannot confirm.

Tulip driver does not handle a large number of interfaces in 2.2 kernels;
2.4 is likely better.

The first problem may also have been with the installer (6 interfaces added, 
instead of the maximum).
Comment 11 Bugzilla owner 2004-09-30 11:38:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.